URL parameters
As of release 2023.05 of Easit GO, URL parameters are supported when working with it's WebAPI. This means, in some cases, that instead of sending a request body you can use parameters in the URL. This addition is especially useful when calling Easit GO WebAPI from a system or application that does not support adding a body to GET requests.
These parameters are:
- itemViewIdentifier
- page
- pageSize
- freeTextFilter
Parameters cannot be used in addition to the request body but only instead of a body. This means that you, for example, cannot send itemViewIdentifier as a parameter and page and columnFilter in the body, in that case you also need to include itemViewIdentifier in the body.
In short, if a body is included in the request, all parameters are ignored.
Examples
Works
"URL": "https://urlToEasitGO/items?itemViewIdentifier=Incidents",
"body": null
"URL": "https://urlToEasitGO/items?itemViewIdentifier=Incidents&page=2",
"body": null
"URL": "https://urlToEasitGO/items",
"body": {
"itemViewIdentifier" : "Incidents",
"page" : 2
}
Do NOT work
"URL": "https://urlToEasitGO/items?itemViewIdentifier=Incidents",
"body": {
"page" : "2"
}
Works (parameters are ignored)
"URL": "https://urlToEasitGO/items?itemViewIdentifier=ServiceRequsts&page=2",
"body": {
"itemViewIdentifier" : "Incidents",
"page" : 3
}
In this example you will get items from page 3 in the view Incidents.